Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.knipp.rritoolkit.request
Class DomainDeleteRequest

    java.lang.Object
      de.knipp.rritoolkit.request.Request
          de.knipp.rritoolkit.request.DomainDataRequest
              de.knipp.rritoolkit.request.DomainDeleteRequest

    public class DomainDeleteRequest

extends DomainDataRequest

class that represents a domain delete request

Version:
  $Revision: 14936 $
Author:
  Klaus Malorny

Field Summary

Fields inherited from class de.knipp.rritoolkit.request.DomainDataRequest
`domain`

Constructor Summary
`DomainDeleteRequest()` constructor
`DomainDeleteRequest(DomainData theDomain)` constructor

Method Summary
`DomainDeleteResponse` | `execute(Port port)` execute the this request on the given port.
`protected java.lang.String` | `getActionCode()` return the action string for this request
`protected java.lang.String` | `getRequestElementName()` return the XML element name
`protected boolean` | `includeDnsData()` returns whether DNS data shall be supplied or not.

Methods inherited from class de.knipp.rritoolkit.request.DomainDataRequest
`getDomain, requestToKVList, requestToXml, setDomain, toString`

Methods inherited from class de.knipp.rritoolkit.request.Request
`getClientTxnID, getProtocolVersion, setClientTxnID, toList, toXml`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DomainDeleteRequest

    public DomainDeleteRequest()

  constructor

### DomainDeleteRequest

    public DomainDeleteRequest(DomainData theDomain)

  constructor

  Parameters:
    `theDomain` - the domain

Method Detail

### execute

    public DomainDeleteResponse execute(Port port)
                                 throws java.io.IOException

  execute the this request on the given port.

  Overrides:
    `execute` in class `Request`
  Parameters:
    `port` - the port on which this request shall be executed
  Returns:
    the response
  Throws:
    `java.io.IOException` - if the execution failed

### includeDnsData

    protected boolean includeDnsData()

  returns whether DNS data shall be supplied or not.

  Overrides:
    `includeDnsData` in class `DomainDataRequest`
  Returns:
    `true` if the data shall be supplied

### getActionCode

    protected java.lang.String getActionCode()

  return the action string for this request

  Specified by:
    `getActionCode` in class `Request`
  Returns:
    the action string

### getRequestElementName

    protected java.lang.String getRequestElementName()

  return the XML element name

  Specified by:
    `getRequestElementName` in class `DomainDataRequest`
  Returns:
    the element name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Knipp Medien und Kommunikation GmbH